
GammaLib - Change request #1061

Change isin, islong, etc. method names to is_in, is_long, etc.

01/07/2014 03:08 PM - Knödlseder Jürgen

Status: Closed Start date: 01/07/2014

Priority: Normal Due date:  

Assigned To: Deil Christoph % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

See discussion in #558.

Related issues:

Related to GammaLib - Change request # 558: Gammalib CDC: Coding and Design C... Closed 10/12/2012

History

#1 - 01/08/2014 10:29 AM - Deil Christoph

I'm doing this here (work in progress):

https://github.com/cdeil/gammalib/compare/gammalib:devel...cdeil:issue_1061

#2 - 01/08/2014 11:49 AM - Deil Christoph

- Status changed from New to In Progress

There's a few commits on this branch now.

Jürgen, could you please have a look if those changes look OK?

(it's very many lines and I did multi-file search / replace).

Some additional name changes I'd like to make:

anynul -> anynull and nulval -> nullval ("nul" is a typo, no?)

Consistently replace omega with solidangle

Rename GPar to GApplicationPar and GPars to GApplicationPars. (I think this makes it clearer that GOptimizerPar is independent and not a

sub-class of GPar.)

OK?

#3 - 01/08/2014 11:56 AM - Deil Christoph

How about renaming GXml to GXmlDocument?

(There's several XML classes in GammaLib and for the GXml class I had to look at the documentation to find out what it represents.)

How about renaming GGti to GGtis?

(I was surprised to find that it is a GTI container, because the name suggests it's just one GTI.)

#4 - 01/08/2014 02:22 PM - Deil Christoph
https://github.com/cdeil/gammalib/compare/gammalib:devel...cdeil:issue_1061


- Status changed from In Progress to Pull request

#5 - 01/08/2014 04:07 PM - Knödlseder Jürgen

Deil Christoph wrote:

How about renaming GXml to GXmlDocument?

(There's several XML classes in GammaLib and for the GXml class I had to look at the documentation to find out what it represents.)

 

There is already a class GXmlDocument, which is the root node of an XML document.

How about renaming GGti to GGtis?

(I was surprised to find that it is a GTI container, because the name suggests it's just one GTI.)

 

The name is indeed a little special, but is inspired from the well-known OGIP standard where GTI is always a list of intervals.

#6 - 01/08/2014 04:46 PM - Knödlseder Jürgen

Deil Christoph wrote:

There's a few commits on this branch now.

Jürgen, could you please have a look if those changes look OK?

(it's very many lines and I did multi-file search / replace).

 

I going over them. Found one compile problem so far (some stuff missing in GTestCase). Probably also needs an update of ctools. Wait until merged

before doing more changes and then start from a fresh branch from devel.

Some additional name changes I'd like to make:

anynul -> anynull and nulval -> nullval ("nul" is a typo, no?)

 

No type, these are the original cfitsio names. I was also hesitating to change them, but at the end refrained from it. I have no strong opinion about this.

Consistently replace omega with solidangle

 

I think this is done (at least on the interface level, maybe not on the internal variable level).

Rename GPar to GApplicationPar and GPars to GApplicationPars. (I think this makes it clearer that GOptimizerPar is independent and not

a sub-class of GPar.)
Agree.

OK?

#7 - 01/08/2014 05:47 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 0 to 100

Pushed into devel.

#8 - 01/09/2014 03:44 PM - Deil Christoph

I still think GXml should be renamed to a more descriptive class.

"XML = extensible markup language" and it's thus not clear what concept GXml represents from it's name.

I guess it's roughly a full XML document (as opposed to what GXmlDocument represents) or the in-memory representation of an XML file?

GFits should be renamed to GFitsFile or GHduList I think:

http://gammalib.sourceforge.net/doxygen/classGFits.html#details

Because again "FITS = Flexible Image Transport System" and it's not clear what concept GFits represents from it's name.

I'll make the changes to GApplicationPar and solidangle now.
